#ifndef RANGESLIDERPLUGIN_H
#define RANGESLIDERPLUGIN_H

#include <QObject>
#if QT_VERSION >= 0x050000
#  include <QtUiPlugin/QDesignerCustomWidgetInterface>
#else
#  include <QDesignerCustomWidgetInterface>
#endif

class RangeSliderPlugin
	: public QObject
	, public QDesignerCustomWidgetInterface {
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetInterface)

public:
	RangeSliderPlugin(QObject * parent = 0);

	bool isContainer() const;
	bool isInitialized() const;
	QIcon icon() const;
	QString domXml() const;
	QString group() const;
	QString includeFile() const;
	QString name() const;
	QString toolTip() const;
	QString whatsThis() const;
	QWidget * createWidget(QWidget * parent);
	void initialize(QDesignerFormEditorInterface * core);

private:
	bool m_initialized;
};

#endif // RANGESLIDERPLUGIN_H
